<id>
External Boardlinks
</id>

<version>
1.1a
</version>

<mod info>
This mod allows to add External Boardlinks on BoardIndex.

Instruction:
1) go to admin center and start making new board
2) write id for board
3) in board name use link with http://
4) in board description first line use for Name to this Board or Banner.
Example Code:
<img src="http://www.yourdomain/images/banner/yabbforum.gif" border="0" alt="YaBBForum" /> 
and all other lines use for description
5) save board 

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.  
 
Admin/ModList.pl (ASCII)
Languages/English.BoardIndex.lng (ASCII)
Sources/BoardIndex.pl (ASCII)
Sources/SubList.pl (ASCII)
Templates/default/BoardIndex.template (ASCII)
Templates/yabb21/BoardIndex.template (ASCII)

yabbfiles/Templates/Forum/default/extern.gif (Binary)
</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li)
</author>

<homepage>
http://yabb.xost.ru/ and http://www.grafix-world.nl
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$Extboards = "External_boardslinks|Boris Tjuvanov (<a href=\"http://www.mf-b.ru\" target=\"_blank\">MF-B</a> and Jeffrey Man (<a href=\"http://www.grafix-world.nl\" target=\"_blank\">Jet Li</a>)|This mod allows to add External Boardlinks on BoardIndex.|1.1a|November 17th, 2007";
	push (@installed_mods, "$Extboards ");
</add before>

<edit file>
Languages/English/BoardIndex.lng
</edit file>

<search for>
'525' => 'By',
</search for>

<add after>
'526' => 'Redirected Hits',
</add after>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
				$templateblock =~ s/({|<)yabb boardanchor(}|>)/$boardanchor/g;
				$templateblock =~ s/({|<)yabb boardurl(}|>)/$scripturl\?board\=$curboard/g;
				$templateblock =~ s/({|<)yabb new(}|>)/$new/g;
				$templateblock =~ s/({|<)yabb boardpic(}|>)/$bdpic/g;
				$templateblock =~ s/({|<)yabb boardname(}|>)/$boardname/g;
				$templateblock =~ s/({|<)yabb boarddesc(}|>)/$bddescr/g;
</search for>

<replace>
		if ($boardname !~ m~\Ahttp://~) { 
				$templateblock =~ s/({|<)yabb boardurl(}|>)/$scripturl\?board\=$curboard/g;
				$templateblock =~ s/({|<)yabb new(}|>)/$new/g;
				$templateblock =~ s/({|<)yabb boardpic(}|>)/$bdpic/g;
				$templateblock =~ s/({|<)yabb boardname(}|>)/$boardname/g;
				$templateblock =~ s/({|<)yabb boarddesc(}|>)/$bddescr/g;
		} else {
				$templateblock = $boardblockext;
				$bdd = '';
				my @bname = split(/<br \/>/, $bddescr);
				my $dcnt = @bname;
				for ($i = 1; $i < $dcnt; $i++) {
						$bdd .= $bname[$i] . '<br />';
				}
				$boardname = qq~$scripturl\?action\=showexternal;exboard\=$curboard~;
				$templateblock =~ s/({|<)yabb boardurl(}|>)/$boardname/g;
				$templateblock =~ s/({|<)yabb new(}|>)/$new/g;
				$templateblock =~ s/({|<)yabb boardpic(}|>)/$bdpic/g;
				$templateblock =~ s/({|<)yabb boardname(}|>)/$bname[0]/g;
				$templateblock =~ s/({|<)yabb boarddesc(}|>)/$bdd/g;
				${$uid.$curboard}{'threadcount'} = '--';
				${$uid.$curboard}{'messagecount'} = '--';
				$lastposter = '';
				$lasttopiclink = '';
				$lastpostlink = &RedirectExternalShow() || 0;
		}
				$templateblock =~ s/({|<)yabb boardanchor(}|>)/$curboard/g;
</replace>

<search for>
1;
</search for>

<add before>
sub RedirectExternalShow {
      
      my $exboard = $INFO{'exboard'} || $curboard;
      fopen(COUNT, "$boardsdir/$exboard.exhits");
      $excount = <COUNT>;
      chomp $excount;
      fclose(COUNT);
      
      if ($INFO{'action'} eq 'showexternal') {
            my $link = (split /\|/, $board{$exboard})[0];
            if ($excount) { $excount++; }
            else { $excount = 1; }
            fopen(COUNT, ">$boardsdir/$exboard.exhits");
            seek COUNT, 0, 0;
            print COUNT "$excount";
            fclose(COUNT);
            print "Content-type: text/html\n";
            print "Location: $link\n\n";
            exit;
      } else {      
            return $excount;
      }

}
</add before>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
'shownotify',"MyCenter.pl&mycenter",
</search for>

<add before>
'showexternal',"BoardIndex.pl&RedirectExternalShow",
</add before>

<edit file>
Templates/default/BoardIndex.template
</edit file>

<search for>
$boardblock = qq~
</search for>

<add before>
$boardblockext = qq~
<tr>
      <td class="windowbg" width="5%" align="center" valign="middle"><img src="$imagesdir/extern.gif" style="vertical-align: middle;" alt="" /></td>
      <td class="windowbg" width="55%" align="left">
            <a name="{yabb boardanchor}" href="{yabb boardurl}" target="_blank"><b>{yabb boardname}</b></a><br />
            {yabb boarddesc}<br />
      </td>
      <td class="windowbg2" valign="middle" align="center" width="24%">
            <span style="float: left; margin-left: 12px;"><b>$boardindex_txt{'526'}:</b> {yabb lastpostlink}</span>
      </td>
      <td class="windowbg" valign="middle" align="center" width="8%">{yabb threadcount}</td>
      <td class="windowbg" valign="middle" align="center" width="8%">{yabb messagecount}</td>
</tr>
~;

</add before>

<edit file>
Templates/yabb21/BoardIndex.template
</edit file>

<search for>
$boardblock = qq~
</search for>

<add before>
$boardblockext = qq~
<tr>
      <td class="windowbg" width="5%" align="center" valign="middle"><img src="$imagesdir/extern.gif" style="vertical-align: middle;" alt="" /></td>
      <td class="windowbg2" width="55%" align="left">
            <a name="<yabb boardanchor>" href="<yabb boardurl>" target="_blank"><b><yabb boardname></b></a><br />
            <yabb boarddesc><br />
      </td>
      <td class="windowbg" valign="middle" align="center" width="24%">
            <span style="float: left; margin-left: 12px;"><b>$boardindex_txt{'526'}:</b> <yabb lastpostlink></span>
      </td>
      <td class="windowbg2" valign="middle" align="center" width="8%"><yabb threadcount></td>
      <td class="windowbg2" valign="middle" align="center" width="8%"><yabb messagecount></td>
</tr>
~;

</add before>